Bug 1215295 - remind-03.01.15 is available
Summary: remind-03.01.15 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remind
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1247938 (view as bug list)
Depends On:
Blocks: CVE-2015-5957
TreeView+ depends on / blocked
 
Reported: 2015-04-25 01:18 UTC by Upstream Release Monitoring
Modified: 2016-11-08 16:23 UTC (History)
3 users (show)

Fixed In Version: remind-03.01.15-1.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-10 10:12:21 UTC


Attachments (Terms of Use)
[patch] Update to 03.01.14 (#1215295) (1.04 KB, text/x-diff)
2015-04-25 01:18 UTC, Upstream Release Monitoring
no flags Details

Description Upstream Release Monitoring 2015-04-25 01:18:15 UTC
Latest upstream release: 03.01.14
Current version/release in rawhide: 03.01.13-7.fc22
URL: http://www.roaringpenguin.com/files/download/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-04-25 01:18:26 UTC
Created attachment 1018650 [details]
[patch] Update to 03.01.14 (#1215295)

Comment 2 Upstream Release Monitoring 2015-04-25 01:23:56 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9563347

Comment 3 Upstream Release Monitoring 2015-07-28 00:17:56 UTC
Latest upstream release: 03.01.15
Current version/release in rawhide: 03.01.13-8.fc23
URL: http://www.roaringpenguin.com/files/download/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 4 Upstream Release Monitoring 2015-07-28 00:18:04 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-8s5ayn/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-8s5ayn/100.0%: No such file or directory

Comment 5 DIanne Skoll 2015-07-28 16:02:24 UTC
3.1.5 fixes a buffer overflow.  I recommend upgrading.  Alternatively, I strongly recommend applying the patch below to older versions.

Regards,

Dianne.

diff --git a/src/var.c b/src/var.c
index 2d68bab..cf933c2 100644
--- a/src/var.c
+++ b/src/var.c
@@ -757,6 +757,10 @@ static void DumpSysVar(char const *name, const SysVar *v)
     if (!v && !name) return;  /* Shouldn't happen... */
 
     buffer[0]='$'; buffer[1] = 0;
+    if (name && strlen(name) > VAR_NAME_LEN) {
+	fprintf(ErrFp, "$%s: Name too long\n", name);
+	return;
+    }
     if (name) strcat(buffer, name); else strcat(buffer, v->name);
     fprintf(ErrFp, "%*s  ", VAR_NAME_LEN+1, buffer);
     if (v) {

Comment 6 Jaromír Cápík 2015-07-29 17:08:55 UTC
Hello DIanne.

As the third number in the version string means patchlevel, I think we can update to that patchlevel in all supported fedora releases. The two patchsets contain bugfixes mainly. There's just one new minor feature and 8 bug fixes. I believe it's worthy to update instead of patching.

Even of that, thanks for the patch and your time.

Regards,
Jaromir.

Comment 7 Upstream Release Monitoring 2015-07-29 17:11:17 UTC
jcapik's remind-03.01.15-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=673436

Comment 8 Fedora Update System 2015-07-29 17:26:04 UTC
remind-03.01.15-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/remind-03.01.15-1.fc23

Comment 9 Fedora Update System 2015-07-29 17:26:10 UTC
remind-03.01.15-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/remind-03.01.15-1.fc22

Comment 10 Fedora Update System 2015-07-29 17:27:20 UTC
remind-03.01.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/remind-03.01.15-1.fc21

Comment 11 Jaromír Cápík 2015-07-29 17:46:49 UTC
*** Bug 1247937 has been marked as a duplicate of this bug. ***

Comment 12 Jaromír Cápík 2015-07-29 17:47:51 UTC
*** Bug 1247938 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2015-07-30 02:07:12 UTC
Package remind-03.01.15-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing remind-03.01.15-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12320/remind-03.01.15-1.fc23
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-08-10 10:12:21 UTC
remind-03.01.15-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-08-12 07:00:50 UTC
remind-03.01.15-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-08-12 07:01:50 UTC
remind-03.01.15-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.